'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _decodePath = require('./decodePath');

var _decodePath2 = _interopRequireDefault(_decodePath);

var _pathExp = require('./pathExp');

var _pathExp2 = _interopRequireDefault(_pathExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isPath = (0, _ramda.cond)([[(0, _ramda.pipe)((0, _ramda.is)(String), _ramda.not), (0, _ramda.always)('The path must be a string')], [(0, _ramda.pipe)((0, _ramda.test)(_pathExp2.default), _ramda.not), function (x) {
  return 'The path "' + x + '" did not match the encoded path regexp: ' + _pathExp2.default;
}], [(0, _ramda.pipe)(_decodePath2.default, (0, _ramda.test)(_pathExp2.default), _ramda.not), function (x) {
  return 'The path "' + x + '" did not match, after decoding, the decoded path regexp: ' + _pathExp2.default;
}], [_ramda.T, _ramda.T]]);

exports.default = isPath;
//# sourceMappingURL=isPath.js.map
