import { cond, contains, pipe, equals, is, nthArg, always, T } from 'ramda'
import isPath from './isPath'

const isValueForOperation = cond([
    [
      (op, value) => contains(op, ['add', 'replace', 'test']) && equals(undefined, value),
      always('The value or from path provided must be different to undefined')
    ],
    [ pipe(nthArg(0), equals('remove')), T ],
    [
      (op, value) => contains(op, ['move', 'copy']) && pipe(isPath, is(String))(value),
      pipe(nthArg(1), isPath)
    ],
    [T, T]
])

export default isValueForOperation
